Subject: Re: Wishlist: git fetch --reference

From: Howard Chu <[email-masked]>
Date: Thu, 21 Aug 2014 22:25:34 -0700

Jeff King wrote:
> On Thu, Aug 21, 2014 at 07:57:47PM -0700, Howard Chu wrote:
>
>> I maintain multiple copies of the same repo because I keep each one checked
>> out to different branch/rev levels. It would be nice if, similar to clone
>> --reference, we could also use git fetch --reference to reference a local
>> repo when doing a fetch to pull in updates.
>
> I think it is just spelled:
>
>    echo $reference_repo >>.git/objects/info/alternates
>    git fetch
>
> We need "--reference" with clone because that first line needs to happen
> after clone runs "git init" but before it runs "git fetch". And if you
> cloned with --reference, of course, the alternates file remains and
> further fetches will automatically use it.

Aha, thanks, hadn't realized that. Just checked and yes, the alternates file 
is already set in all of these different copies.

-- 
   -- Howard Chu
   CTO, Symas Corp.           http://www.symas.com
   Director, Highland Sun     http://highlandsun.com/hyc/
   Chief Architect, OpenLDAP  http://www.openldap.org/project/